TeamTalk 5 .NET DLL: BearWare.ServerProperties Struct Reference

TeamTalk 5 .NET DLL Version 5.8B

Public Attributes | List of all members
BearWare.ServerProperties Struct Reference
Server Administration

A struct containing the properties of the server's settings. More...

## Public Attributes

string | szServerName
| The server's name. More...
string | szMOTD
| The message of the day. Read-only property. Use `szMOTDRaw` to update this property. More...
string | szMOTDRaw

The message of the day including variables. The result of the szMOTDRaw string will be displayed in `szMOTD`. When updating the MOTD the variables users% (number of users), admins% (number of admins), uptime% (hours, minutes and seconds the server has been online), voicetx% (KBytes transmitted), voicerx% (KBytes received) and lastuser% (nickname of last user to log on to the server) as part of the MOTD. More...

int | nMaxUsers
| The maximum number of users allowed on the server. A user with admin account can ignore this. More...
int | nMaxLoginAttempts
| The maximum number of logins with wrong password before banning user's IP-address. More...
int | nMaxLoginsPerIPAddress
| The maximum number of users allowed to log in with the same IP-address. 0 means disabled. More...
int | nMaxVoiceTxPerSecond
| The maximum number of bytes per second which the server will allow for voice packets. If this value is exceeded the server will start dropping audio packets. 0 = disabled. More...
int | nMaxVideoCaptureTxPerSecond
| The maximum number of bytes per second which the server will allow for video input packets. If this value is exceeded the server will start dropping video packets. 0 = disabled. More...
int | nMaxMediaFileTxPerSecond
| The maximum number of bytes per second which the server will allow for media file packets. If this value is exceeded the server will start dropping media file packets. 0 = disabled. More...
int | nMaxDesktopTxPerSecond
| The maximum number of bytes per second which the server will allow for desktop packets. If this value is exceeded the server will start dropping desktop packets. 0 = disabled. More...
int | nMaxTotalTxPerSecond
| The amount of bytes per second which the server will allow for packet forwarding. If this value is exceeded the server will start dropping packets. 0 = disabled. More...
bool | bAutoSave
| Whether the server automatically saves changes. More...
int | nTcpPort
| The server's TCP port. More...
int | nUdpPort
| The server's UDP port. More...
int | nUserTimeout
| The number of seconds before a user who hasn't responded to keepalives will be kicked off the server. More...
string | szServerVersion
| The server version. More...
string | szServerProtocolVersion
| The version of the server's protocol. More...
int | nLoginDelayMSec
| Number of msec before an IP-address can make another login attempt. If less than this amount then TeamTalkBase.DoLogin() will result in ClientError.CMDERR_MAX_LOGINS_PER_IPADDRESS_EXCEEDED. Zero means disabled. More...
string | szAccessToken
| A randomly generated 256 bit access token created by the server to identify the login session. Read-only property. More...

## Detailed Description

A struct containing the properties of the server's settings.

The server properties is available after a successful call to TeamTalkBase.DoLogin()

See also
  TeamTalkBase.DoUpdateServer
  TeamTalkBase.GetServerProperties
  TeamTalkBase.DoLogin
  UserRight

Definition at line 1815 of file TeamTalk.cs.

## Member Data Documentation

## ◆ szServerName

string BearWare.ServerProperties.szServerName

The server's name.

Definition at line 1819 of file TeamTalk.cs.

## ◆ szMOTD

string BearWare.ServerProperties.szMOTD

The message of the day. Read-only property. Use `szMOTDRaw` to update this property.

Definition at line 1823 of file TeamTalk.cs.

## ◆ szMOTDRaw

string BearWare.ServerProperties.szMOTDRaw

The message of the day including variables. The result of the szMOTDRaw string will be displayed in `szMOTD`. When updating the MOTD the variables users% (number of users), admins% (number of admins), uptime% (hours, minutes and seconds the server has been online), voicetx% (KBytes transmitted), voicerx% (KBytes received) and lastuser% (nickname of last user to log on to the server) as part of the MOTD.

Definition at line 1833 of file TeamTalk.cs.

## ◆ nMaxUsers

int BearWare.ServerProperties.nMaxUsers

The maximum number of users allowed on the server. A user with admin account can ignore this.

Definition at line 1836 of file TeamTalk.cs.

## ◆ nMaxLoginAttempts

int BearWare.ServerProperties.nMaxLoginAttempts

The maximum number of logins with wrong password before banning user's IP-address.

Definition at line 1839 of file TeamTalk.cs.

## ◆ nMaxLoginsPerIPAddress

int BearWare.ServerProperties.nMaxLoginsPerIPAddress

The maximum number of users allowed to log in with the same IP-address. 0 means disabled.

Definition at line 1842 of file TeamTalk.cs.

## ◆ nMaxVoiceTxPerSecond

int BearWare.ServerProperties.nMaxVoiceTxPerSecond

The maximum number of bytes per second which the server will allow for voice packets. If this value is exceeded the server will start dropping audio packets. 0 = disabled.

Definition at line 1846 of file TeamTalk.cs.

## ◆ nMaxVideoCaptureTxPerSecond

int BearWare.ServerProperties.nMaxVideoCaptureTxPerSecond

The maximum number of bytes per second which the server will allow for video input packets. If this value is exceeded the server will start dropping video packets. 0 = disabled.

Definition at line 1851 of file TeamTalk.cs.

## ◆ nMaxMediaFileTxPerSecond

int BearWare.ServerProperties.nMaxMediaFileTxPerSecond

The maximum number of bytes per second which the server will allow for media file packets. If this value is exceeded the server will start dropping media file packets. 0 = disabled.

Definition at line 1855 of file TeamTalk.cs.

## ◆ nMaxDesktopTxPerSecond

int BearWare.ServerProperties.nMaxDesktopTxPerSecond

The maximum number of bytes per second which the server will allow for desktop packets. If this value is exceeded the server will start dropping desktop packets. 0 = disabled.

Definition at line 1859 of file TeamTalk.cs.

## ◆ nMaxTotalTxPerSecond

int BearWare.ServerProperties.nMaxTotalTxPerSecond

The amount of bytes per second which the server will allow for packet forwarding. If this value is exceeded the server will start dropping packets. 0 = disabled.

Definition at line 1863 of file TeamTalk.cs.

## ◆ bAutoSave

bool BearWare.ServerProperties.bAutoSave

Whether the server automatically saves changes.

Definition at line 1865 of file TeamTalk.cs.

## ◆ nTcpPort

int BearWare.ServerProperties.nTcpPort

The server's TCP port.

Definition at line 1867 of file TeamTalk.cs.

## ◆ nUdpPort

int BearWare.ServerProperties.nUdpPort

The server's UDP port.

Definition at line 1869 of file TeamTalk.cs.

## ◆ nUserTimeout

int BearWare.ServerProperties.nUserTimeout

The number of seconds before a user who hasn't responded to keepalives will be kicked off the server.

Definition at line 1872 of file TeamTalk.cs.

## ◆ szServerVersion

string BearWare.ServerProperties.szServerVersion

The server version.

Definition at line 1875 of file TeamTalk.cs.

## ◆ szServerProtocolVersion

string BearWare.ServerProperties.szServerProtocolVersion

The version of the server's protocol.

Definition at line 1878 of file TeamTalk.cs.

## ◆ nLoginDelayMSec

int BearWare.ServerProperties.nLoginDelayMSec

Number of msec before an IP-address can make another login attempt. If less than this amount then TeamTalkBase.DoLogin() will result in ClientError.CMDERR_MAX_LOGINS_PER_IPADDRESS_EXCEEDED. Zero means disabled.

Also checkout `nMaxLoginAttempts` and `nMaxLoginsPerIPAddress`.

Definition at line 1887 of file TeamTalk.cs.

## ◆ szAccessToken

string BearWare.ServerProperties.szAccessToken

A randomly generated 256 bit access token created by the server to identify the login session. Read-only property.

Definition at line 1892 of file TeamTalk.cs.